IdentifiantMot de passe
Loading...
Mot de passe oublié ?Je m'inscris ! (gratuit)
Navigation

Inscrivez-vous gratuitement
pour pouvoir participer, suivre les réponses en temps réel, voter pour les messages, poser vos propres questions et recevoir la newsletter

Calcul scientifique Python Discussion :

Problèmes installations packages mac


Sujet :

Calcul scientifique Python

  1. #1
    Nouveau Candidat au Club
    Homme Profil pro
    Étudiant
    Inscrit en
    février 2021
    Messages
    2
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 24
    Localisation : France, Gironde (Aquitaine)

    Informations professionnelles :
    Activité : Étudiant
    Secteur : Enseignement

    Informations forums :
    Inscription : février 2021
    Messages : 2
    Points : 1
    Points
    1
    Par défaut Problèmes installations packages mac
    Bonjour,

    J'ai récemment acheté le dernier macbook air, et je veux installer Pycharm avec les packages de base pour faire du traitement de données (matplotlib, scipy, Serial pour arduino etc..)
    Et j'ai juste réussis à installé Numpy. Sinon j'ai erreur sur erreur, dès que j'essaie d'en corriger une une autre arrive..
    Quand je le fait depuis Pycharm j'ai cette erreur:

    Code : Sélectionner tout - Visualiser dans une fenêtre à part
    1
    2
     
    ERROR: Command errored out with exit status 1: /Users/jules/PycharmProjects/pythonProject/venv/bin/python -u -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'/private/var/folders/1z/qh7yfnv547qb9drbmhf_45c40000gn/T/pip-install-5391030p/pillow_2a1414a85fb8401188508b8639ac4d3c/setup.py'"'"'; __file__='"'"'/private/var/folders/1z/qh7yfnv547qb9drbmhf_45c40000gn/T/pip-install-5391030p/pillow_2a1414a85fb8401188508b8639ac4d3c/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' install --record /private/var/folders/1z/qh7yfnv547qb9drbmhf_45c40000gn/T/pip-record-fz0vmgqe/install-record.txt --single-version-externally-managed --compile --install-headers /Users/jules/PycharmProjects/pythonProject/venv/include/site/python3.8/pillow Check the logs for full command output
    ou alors quand je le fait depuis le terminal
    Code : Sélectionner tout - Visualiser dans une fenêtre à part
    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
     
    jules@MacBook-Air-de-Jules Downloads % pip install matplotlib
    Traceback (most recent call last):
      File "/usr/local/bin/pip", line 11, in <module>
        load_entry_point('pip==21.0.1', 'console_scripts', 'pip')()
      File "/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/pkg_resources/__init__.py", line 489, in load_entry_point
        return get_distribution(dist).load_entry_point(group, name)
      File "/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/pkg_resources/__init__.py", line 2843, in load_entry_point
        return ep.load()
      File "/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/pkg_resources/__init__.py", line 2434, in load
        return self.resolve()
      File "/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/pkg_resources/__init__.py", line 2440, in resolve
        module = __import__(self.module_name, fromlist=['__name__'], level=0)
      File "/Library/Python/2.7/site-packages/pip-21.0.1-py2.7.egg/pip/_internal/cli/main.py", line 60
        sys.stderr.write(f"ERROR: {exc}")
                                       ^
    SyntaxError: invalid syntax
    Quelques informations:

    Code : Sélectionner tout - Visualiser dans une fenêtre à part
    1
    2
    3
     
    jules@MacBook-Air-de-Jules Downloads % python3 --version
    Python 3.8.2
    pip version ne fonctionne pas j'ai l'erreur de synthax plus haut.

    Code : Sélectionner tout - Visualiser dans une fenêtre à part
    1
    2
    3
     
    jules@MacBook-Air-de-Jules Downloads % pip3 --version
    pip 19.2.3 from /Library/Developer/CommandLineTools/Library/Frameworks/Python3.framework/Versions/3.8/lib/python3.8/site-packages/pip (python 3.8)
    Enfin voilà je comprends pas pourquoi c'est si compliqué alors que d'habitude ça s'installe tout, je m'excuse par avance si il y a déjà eu des posts ou des réponses dessus. Mais ça fait 3 jours que je suis dessus et j'ai vraiment besoin que cette installation fonctionne pour un TP.

    Merci d'avance.

  2. #2
    Expert éminent sénior
    Homme Profil pro
    Architecte technique retraité
    Inscrit en
    juin 2008
    Messages
    17 668
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France, Manche (Basse Normandie)

    Informations professionnelles :
    Activité : Architecte technique retraité
    Secteur : Industrie

    Informations forums :
    Inscription : juin 2008
    Messages : 17 668
    Points : 30 490
    Points
    30 490
    Par défaut
    Salut,

    Regardez le message d'erreur:
    Code : Sélectionner tout - Visualiser dans une fenêtre à part
    1
    2
      File "/Library/Python/2.7/site-packages/pip-21.0.1-py2.7.egg/pip/_internal/cli/main.py", line 60
        sys.stderr.write(f"ERROR: {exc}")
    çà essaie d'exécuter une instruction 3.7+ dans un environnement 2.7.

    A vous de faire le ménage... dans vos différents environnements et apprendre à utiliser "python" -m pip où "python" lance le python de l'environnement où vous voulez installer une bibliothèque.

    - W
    Architectures post-modernes.
    Python sur DVP c'est aussi des FAQs, des cours et tutoriels

  3. #3
    Nouveau Candidat au Club
    Homme Profil pro
    Étudiant
    Inscrit en
    février 2021
    Messages
    2
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 24
    Localisation : France, Gironde (Aquitaine)

    Informations professionnelles :
    Activité : Étudiant
    Secteur : Enseignement

    Informations forums :
    Inscription : février 2021
    Messages : 2
    Points : 1
    Points
    1
    Par défaut
    Citation Envoyé par wiztricks Voir le message
    Salut,

    A vous de faire le ménage... dans vos différents environnements et apprendre à utiliser "python" -m pip où "python" lance le python de l'environnement où vous voulez installer une bibliothèque.

    - W
    Re,

    Ouais je pensais bien que j'allais avoir ce problème avec plein de version etc, mais il est vrai que je comprends pas tout ce que j'ai put faire et le rôle de "pip". Mais je vais me renseigner dessus.
    J'ai installé Python 3.9.1 et la j'ai réussi à tout installer sur Pycharm et ça fonctionne, donc c'est vrai que je vois pas pourquoi ça à fonctionner et ça à pas fonctionner y a deux jours.

Discussions similaires

  1. problème installation packages
    Par Anoikis dans le forum R
    Réponses: 2
    Dernier message: 16/11/2015, 14h41
  2. Problème installation Package Curve
    Par helene23 dans le forum Distributions
    Réponses: 0
    Dernier message: 16/01/2011, 17h56
  3. problème install package firefox
    Par champion dans le forum Solaris
    Réponses: 0
    Dernier message: 13/11/2009, 10h27
  4. [KUBUNTU] Problème installation de packages
    Par stagiaire_perdu dans le forum Ubuntu
    Réponses: 6
    Dernier message: 08/06/2007, 09h35
  5. Problème installation Mac OS X
    Par Aitone dans le forum Apple
    Réponses: 5
    Dernier message: 22/11/2006, 13h01

Partager

Partager
  • Envoyer la discussion sur Viadeo
  • Envoyer la discussion sur Twitter
  • Envoyer la discussion sur Google
  • Envoyer la discussion sur Facebook
  • Envoyer la discussion sur Digg
  • Envoyer la discussion sur Delicious
  • Envoyer la discussion sur MySpace
  • Envoyer la discussion sur Yahoo